## osso-teema-testapp 0.4

=== ossoaftest_hildon_note/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# ossoaftest_hildon_note/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(ossoaftest_hildon_note_SOURCES)

srcdir = /home/rajesh/WEEK41_DIRECTORY/ossoaftest_hildon_note
top_srcdir = /home/rajesh/WEEK41_DIRECTORY
VPATH = /home/rajesh/WEEK41_DIRECTORY/ossoaftest_hildon_note
pkgdatadir = $(datadir)/teemapackage
pkglibdir = $(libdir)/teemapackage
pkgincludedir = $(includedir)/teemapackage
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = ossoaftest_hildon_note$(EXEEXT)
subdir = ossoaftest_hildon_note
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_ossoaftest_hildon_note_OBJECTS = interface.$(OBJEXT) main.$(OBJEXT) \
	callbacks.$(OBJEXT)
ossoaftest_hildon_note_OBJECTS = $(am_ossoaftest_hildon_note_OBJECTS)
ossoaftest_hildon_note_LDADD = $(LDADD)
am__DEPENDENCIES_1 =
ossoaftest_hildon_note_DEPENDENCIES = $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/callbacks.Po \
	./$(DEPDIR)/interface.Po ./$(DEPDIR)/main.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(ossoaftest_hildon_note_SOURCES)
DIST_SOURCES = $(ossoaftest_hildon_note_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rajesh/WEEK41_DIRECTORY/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rajesh/WEEK41_DIRECTORY/missing --run tar
AUTOCONF = ${SHELL} /home/rajesh/WEEK41_DIRECTORY/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rajesh/WEEK41_DIRECTORY/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rajesh/WEEK41_DIRECTORY/missing --run automake-1.8
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GNOMEVFSMIME_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GNOMEVFSMIME_LIBS = -pthread -Wl,--export-dynamic -lgnomevfs-2 -ldbus-glib-1 -lgthread-2.0 -lgmodule-2.0 -ldl -ldbus-1 -lglib-2.0  
GNOMEVFS_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GNOMEVFS_LIBS = -pthread -Wl,--export-dynamic -lgnomevfs-2 -ldbus-glib-1 -lgthread-2.0 -lgmodule-2.0 -ldl -ldbus-1 -lglib-2.0  
HILDON_CFLAGS = -DXTHREADS -D_XOPEN_SOURCE=500 -DXUSE_MTSAFE_API -I/usr/include/hildon-lgpl -I/usr/X11R6/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
HILDON_LIBS = -Wl,--export-dynamic -lhildonwidgets -lhildonlgpl -lXtst -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/rajesh/WEEK41_DIRECTORY/missing --run makeinfo
OBJEXT = o
PACKAGE = teemapackage
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 1.0
ac_ct_CC = gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/rajesh/WEEK41_DIRECTORY/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
INCLUDES = $(HILDON_CFLAGS)
LDADD = $(HILDON_LIBS) 
ossoaftest_hildon_note_SOURCES = interface.c \
	main.c \
	callbacks.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  ossoaftest_hildon_note/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  ossoaftest_hildon_note/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
ossoaftest_hildon_note$(EXEEXT): $(ossoaftest_hildon_note_OBJECTS) $(ossoaftest_hildon_note_DEPENDENCIES) 
	@rm -f ossoaftest_hildon_note$(EXEEXT)
	$(LINK) $(ossoaftest_hildon_note_LDFLAGS) $(ossoaftest_hildon_note_OBJECTS) $(ossoaftest_hildon_note_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/callbacks.Po
include ./$(DEPDIR)/interface.Po
include ./$(DEPDIR)/main.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
	for dir in "$(DESTDIR)$(bindir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am

=== debian/changelog ===
osso-gnomevfs-extra (1.1.4-1.1) unstable; urgency=low

  * Fixed bug #2245

 -- Alexander Kanevskiy <alexander.kanevskiy@nokia.com>  Wed,  3 Nov 2004 16:45:37 +0200

osso-gnomevfs-extra (1.1.4-1) unstable; urgency=low

  * Add Case-insensitive function for UTF-8 URIs.

 -- Andrei Kotchanov <andrei.kotchanov@nokia.com>  Thur, 23 Sept 2004 16:00:00 +0200
 -- Jing Lei <jing.lei@hut.fi>  Thur, 23 Sept 2004 16:00:00 +0200

osso-gnomevfs-extra (1.0.4-1) unstable; urgency=low

  * Update for osso-gnomevfs 2.8.0.
  * Depend on osso gnomevfs packages instead of stock gnomevfs.
  * Update requirements on gwobex.

 -- Richard Hult <richard@imendio.com>  Mon, 20 Sep 2004 19:43:14 +0200

osso-gnomevfs-extra (1.0.3-1) unstable; urgency=low

  * Add support for volume monitoring to the dvs vfs daemon.
  * Make the system bus address environment variable a requirement again.
  * Update the fileinfo list test to follow the protocol.

 -- Richard Hult <richard@imendio.com>  Fri, 27 Aug 2004 16:25:21 +0200

osso-gnomevfs-extra (1.0.2-1) unstable; urgency=low

  * Unlink directories checks if it is empty
  * Check if parent directory exists when creating a file rather than when closing a created file.

 -- Mikael Hallendal <micke@imendio.com>  Tue, 17 Aug 2004 15:20:00 +0200

osso-gnomevfs-extra (1.0.1-1) unstable; urgency=low

  * Don't require system bus environment variable to bet set. Fix parser test.

 -- Richard Hult <richard@imendio.com>  Fri, 30 Jul 2004 14:27:00 +0200

osso-gnomevfs-extra (1.0-1) unstable; urgency=low

  * Initital release

 -- Mikael Hallendal <micke@imendio.com>  Fri, 11 Jun 2004 16:58:00 +0200

=== gnomevfs/osso-gnome-vfs2-2.8.1/debian/changelog ===
osso-gnome-vfs2 (2.8.1-1) unstable; urgency=low

  * New upstream version.
  * Fix missing comma in control file, add "Provides" for all packages.

 -- First release <Nokia>  Mon, 22 Sep 2004 14:53:58 +0200

osso-gnome-vfs2 (2.8.0-2) unstable; urgency=low

  * Remove libsmbclient-dev build dependency and add libbzip2-dev.
  * Add --disable-samba to configure flags.

osso-gnome-vfs2 (2.8.0-1) unstable; urgency=low

  * Merge with upstream 2.8.0.

osso-gnome-vfs2 (2.6.0.1-2) unstable; urgency=low

  * Rename package to osso-gnome-vfs, provide libgnomevfs2-0 etc.
    - Rename .files to .install since that is what dh_install uses.
    - Dist compat, and other small fixes.

osso-gnome-vfs2 (2.6.0.1-1) unstable; urgency=low

  * Added OBEX support to volume monitor

osso-gnome-vfs2 (2.6.1.1-4) unstable; urgency=low

  * Nokia version

=== debian/control ===
Source: osso-gnome-vfs2
Section: libs
Priority: optional
Maintainer: Richard Hult <richard@imendio.com>
Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev, cdbs, libgconf2-dev (>= 2.6.0), libxml2-dev, gettext, debhelper (>> 4.1.0), zlib1g-dev, libbz2-dev, intltool, gnome-mime-data, gnome-common, gnome-pkg-tools, dbus-glib-1-dev (>= 0.22), osso-gwconnect-dev (>= 0.34)
Standards-Version: 3.6.1.0

Package: libosso-gnomevfs2-common
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, gnome-mime-data, gconf2 (>= 2.6.0), dbus-glib-1 (>= 0.22)
Conflicts: gnome-vfs-extras2, gnome-vfs-sftp, libgnomevfs2-common (<< 2.6.0)
Replaces: libgnomevfs2-dev (<< 2.6.0), libgnome2-common (<< 2.6.0), gnome-vfs-extras2, gnome-vfs-sftp, libgnomevfs2-common
Provides: libgnomevfs2-common
Description: The GNOME virtual file-system library common files (for GNOME2)
 GNOME VFS is the GNOME virtual file system. It is the foundation of the
 Nautilus file manager. It provides a modular architecture and ships with
 several modules that implement support for file systems, http, ftp and others.
 It provides a URI-based API, a backend supporting asynchronous file
 operations, a MIME type manipulation library and other features.
 .
 This package is a part of GNOME2

Package: libgnomevfs2-common
Architecture: any
Depends: libosso-gnomevfs2-common (= ${Source-Version})
Description: Stub package for libosso-gnomevfs2-common

Package: libosso-gnomevfs2-0
Architecture: any
Depends: ${shlibs:Depends}, libosso-gnomevfs2-common (>= ${Source-Version})
Replaces: libgnomevfs2-0
Conflicts: libgnomevfs2-0 (<< 2.6.0)
Provides: libgnomevfs2-0
Description: The GNOME virtual file-system libraries (for GNOME2)
 GNOME VFS is the GNOME virtual file system. It is the foundation of the
 Nautilus file manager. It provides a modular architecture and ships with
 several modules that implement support for file systems, http, ftp and others.
 It provides a URI-based API, a backend supporting asynchronous file
 operations, a MIME type manipulation library and other features.
 .
 This package is a part of GNOME2

Package: libgnomevfs2-0
Architecture: any
Depends: libosso-gnomevfs2-0 (= ${Source-Version})
Description: Stub package for libosso-gnomevfs2-0

Package: libosso-gnomevfs2-dev
Section: libdevel
Architecture: any
Section: libdevel
Depends: libosso-gnomevfs2-common, libosso-gnomevfs2-0 (= ${Source-Version}), libc6-dev, libgconf2-dev (>= 2.6.0), libxml2-dev
Replaces: libgnomevfs2-common (<< 2.2.5-1), libgnomevfs2-dev
Conflicts: libgnomevfs2-common (<< 2.2.5-1), libgnomevfs2-dev (<< 2.6.0)
Provides: libgnomevfs2-dev
Description: The GNOME virtual file-system development files (for GNOME2)
 This package provides the necessary development libraries for writing
 GNOME VFS modules and applications that use the GNOME VFS APIs.
 .
 This package is a part of GNOME2

Package: libgnomevfs2-dev
Architecture: any
Depends: libosso-gnomevfs2-dev (= ${Source-Version})
Description: Stub package for libosso-gnomevfs2-dev

=== gnomevfs/osso-gnomevfs-extra-1.1.4/debian/control ===
Source: osso-gnomevfs-extra 
Section: libs
Priority: optional
Maintainer: Luc Pionchon <luc.pionchon@nokia.com> 
Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev, libopenobex-1.0-0-dev, osso-gwobex-dev (>= 0.19), libosso-gnomevfs2-dev (>= 2.8.0), dbus-glib-1-dev, osso-gwconnect-dev (>= 0.34)
Standards-Version: 3.6.1.0

Package: osso-gnomevfs-extra
Section: libs
Architecture: any
Depends: osso-gwobex (>= 0.19), libopenobex-1.0-0, libglib2.0-0, libosso-gnomevfs2-0 (>= 2.8.0), dbus-glib-1
Description: GnomeVFS OBEX Module
 This package contains extra parts to GnomeVFS developed for Nokia. 
 * A GnomeVFS daemon using D-BUS instead of ORBit
 * An OBEX GnomeVFS module
 * Modified filemodule that uses D-BUS to emit monitor events
 * Small library to retrieve the capabilities object from a remote devices.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.stamp: 
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: config.stamp build-stamp

build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/osso-browser-opera.sgml > osso-browser-opera.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/osso-browser-opera.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
